.window {
    width: 450px;
    max-width: 450px;
    overflow-x: hidden;

    .window-contents {
        display: flex;
        flex-direction: column;
        overflow-x: hidden;
    }
}

.desc {
    margin-bottom: 10px !important;
}

.navigation {
    display: flex;
    width: 100%;
    margin-bottom: 7px;
    box-sizing: border-box;

    label {
        display: flex;
        width: 100%;
        margin: 0;
    }

    input, button {
        padding: 8px 10px;
        border-radius: 8px;
        border: none;
        background-color: rgba(35, 35, 35, 60%);
        font-family: "JetBrains Mono", monospace;
        font-size: 12px;
        font-weight: 400;
        font-style: normal;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
        transition: background-color 0.2s ease;
    }

    input {
        flex: 1;
        min-width: 0;
        width: 100%;
        outline: none;
        color: #fff;
    }

    button {
        flex-shrink: 0;
        margin-left: 7px;
        color: rgba(255, 255, 255, 0.8);
        cursor: pointer;
        white-space: nowrap;
    }

}

.entry-box {
    display: grid;
    grid-template-columns: repeat(auto-fit, calc(100% - 5px));
    grid-template-rows: repeat(auto-fit, calc(52px));
    grid-row-gap: 5px;
    width: 100%;
    height: 500px;
    overflow-x: hidden;
    overflow-y: scroll;

    .entry {
        width: 100%;
        height: 52px;
        padding: 5px;

        backdrop-filter: blur(6px);
        border-radius: 10px;
        border: 1px solid #444;
        background: rgba(31, 31, 31, 0.36);
        box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);

        margin-right: 5px;
        box-sizing: border-box;

        display: flex;
        flex-direction: row;

        position: relative;

        .left, .right {
            display: flex;
            align-items: center;

            .title-icon {
                height: 40px;
                aspect-ratio: 1 / 1;
                border-radius: 6px;
                margin-left: 1px;
            }

            .left-content {
                display: flex;
                flex-direction: column;
                margin-left: 7px;
                height: 100%;
                width: 0; /*idk why this works*/

                .title-name {
                    font-family: "Space Mono", monospace;
                    font-size: 17px;
                    text-align: left;
                    color: rgba(100%, 100%, 100%, 80%);
                    margin: -4px 0 -1px;
                    white-space: nowrap;
                }

                .title-description {
                    margin: 0;
                    font-size: 15px;
                }

                .title-tags {
                    display: flex;
                    flex-direction: row;

                    justify-items: center;

                    .title-tag {
                        --tag-color: rgba(100%, 100%, 100%, 65%); /*This should be overwritten*/

                        font-size: 12px;
                        font-weight: 400;
                        border-radius: 5px;
                        border-width: 1px;
                        border-style: solid;
                        border-color: var(--tag-color);
                        padding-left: 2px;
                        padding-right: 2px;
                        font-family: 'JetBrains Mono', monospace;
                        margin: 0 5px 0 0;
                        color: var(--tag-color);
                        word-break: keep-all;
                        white-space: nowrap;
                    }
                }
            }

            .asset-count {
                text-align: right;
                font-family: "JetBrains Mono", monospace;
                font-size: 12px;
                font-weight: 400;

                color: rgba(100%, 100%, 100%, 0.5);

                margin: 0;
            }

            .view-button {
                font-family: "JetBrains Mono", monospace;
                border: none;
                border-radius: 5px;
                background: rgba(15%, 15%, 15%, 100%);
                color: transparent; /*We fill the content on this just for parsing, the actual text is rendered in a pseudo element*/
                width: 100%;
                height: 55%;
                font-size: 15px;
                align-content: center;
                cursor: pointer;
                position: relative;
                --text: "View"
            }

            .view-button::after {
                position: absolute;
                left: 0;
                right: 0;
                top: 1px;
                bottom: 0;

                content: var(--text);
                color: rgba(100%, 100%, 100%, 80%);
            }

            .view-button::before {
                position: absolute;
                content: " ";
                left: 0;
                right: 0;
                top: 0;
                bottom: 0;

                border-radius: 5px;
                background: linear-gradient(45deg, #2193b0, #ba6ded);
                opacity: 0;
                transition: opacity 0.2s;
            }

            .view-button:hover::before {
                opacity: 1;
            }
        }

        .left {
            flex-grow: 1;

            --fade: linear-gradient(
                    to right,
                    rgba(0,0,0,1) calc(100% - 60px),
                    rgba(0,0,0,0) calc(100% - 7px)
            );
            -webkit-mask-image: var(--fade);
            mask-image: var(--fade);

            justify-content: left;
        }

        .right {
            display: flex;
            flex-direction: column;

            justify-content: right;
        }

        .separator {
            flex-grow: 1;
        }
    }
}

.entry-box::-webkit-scrollbar {
    width: 8px;
}

.entry-box::-webkit-scrollbar-track {
    background: rgba(35, 35, 35, 60%);
    border-radius: 4px;
}

.entry-box::-webkit-scrollbar-thumb {
    background: linear-gradient(45deg, #2193b0, #ba6ded);
    border-radius: 4px;
}

.entry-box-universal {
    scrollbar-width: thin;
    scrollbar-color: rgba(63, 63, 63, 0.3) rgba(35, 35, 35, 60%)
}
